package SBC;

public enum RaspberryPi3B {
    Pin03(3,"GPIO2/SDA", 2),
    Pin05(5,"GPIO3/SCL", 3),
    Pin07(7,"GPIO4/GPCLK0", 4),
    Pin08(8,"GPIO14/TXD", 14),
    Pin10(10,"GPIO15/RXD", 15),
    Pin11(11,"GPIO17", 17),
    Pin12(12,"GPIO18/PCMCLK", 18),
    Pin13(13,"GPIO27", 27),
    Pin15(15,"GPIO22", 22),
    Pin16(16,"GPIO23", 23),
    Pin18(18,"GPIO24", 24),
    Pin19(19,"GPIO10/MOSI", 10),
    Pin21(21,"GPIO9/MISO", 9),
    Pin22(22,"GPIO25", 25),
    Pin23(23,"GPIO11/SCLK", 11),
    Pin24(24,"GPIO8/CE0", 8),
    Pin26(26,"GPIO7/CE1", 7),
    Pin27(27,"GPIO0/IDSD", 0),
    Pin28(28,"GPIO1/IDSC", 1),
    Pin29(29,"GPIO5", 5),
    Pin31(31,"GPIO6", 6),
    Pin32(32,"GPIO12/PWM0", 12),
    Pin33(33,"GPIO13/PWM1", 13),
    Pin35(35,"GPIO19/PCMFS", 19),
    Pin36(36,"GPIO16", 16),
    Pin37(37,"GPIO26", 26),
    Pin38(38,"GPIO20/PCMDIN", 20),
    Pin40(40,"GPIO21/PCMDOUT", 21);

    public final int pin;
    public final String name;
    public final int gpionumber;

    RaspberryPi3B(int pin, String name, int gpionumber){
        this.pin = pin;
        this.name = name;
        this.gpionumber = gpionumber;
    }
}
